data _null_;
  file 'myBigFile.txt' dsd;
  set sashelp.cars;
  id+1;
  put id cylinders horsepower mpg_city;
run;

libname m "%sysfunc(pathname(work))";

proc scaproc;
   record 'out.txt' grid 'grid.txt'; 
run;
data m.a m.b m.c m.d;
   infile 'myBigFile.txt';
   input id num1 num2 num3;
   _r=ceil(RANUNI(12345)*4);
   select (_r);
      when (1) output a;
      when (2) output b;
      when (3) output c;
      when (4) output d;
   end;
run;

data m.f_1;
  set m.a;
  /* More stuff */
run;

data m.f_2;
  set m.b;
  /* More stuff */
run;

data m.f_3;
  set m.c;
  /* More stuff */
run;

data m.f_4;
  set m.d;
  /* More stuff */
run;

data m.final;
   set m.f:;
run;

proc scaproc; 
   write; 
run; 

